Bug 8911 - ambiguous provides
: ambiguous provides
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openntpd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-23 15:05 by
Modified: 2006-03-22 21:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-23 15:05:53
Прошу огласить резоны, по которым
$ rpm -qp --provides openntpd-3.7p1-alt3.i586.rpm
ntpd  
openntpd = 3.7p1-alt3

Обновление безусловно выносит стоявший ntpd в пользу openntpd,
не думаю, что это оправданно.
------- Comment #1 From 2006-01-23 16:13:46 -------
Там ещё и obsoletes стоит, иначе бы provides не имел смысла.

Вопрос в том, не заменить ли provides+obsoletes на conflicts.
------- Comment #2 From 2006-01-23 16:27:02 -------
Если предполагается, что ntpd никуда пропадать не собирается,
то разумеется conflicts.
Собственно, в этом и состоит существо вопроса:
плановая ли это замена одного на другое или
результат нескоординированного вброса ?
------- Comment #3 From 2006-01-24 03:22:50 -------
Я планировал заменить ntp-сервер по умолчанию на OpenNTPD, а Илья согласился
реализовать этот план, см.
http://lists.altlinux.ru/pipermail/devel/2006-January/027725.html
Упаковка, правда, получилась сыроватая, но со временем это пройдёт.
В крайнем случае я потом всё сам исправлю. :)

Очевидно, что openntpd не предназначен заменить ntpd для всех задач, которые
умеет решать последний.  В свете этого я не уверен, что provides+obsoletes это
хорошая идея.  Возможно, provides+conflicts в данном случае подойдёт лучше.
А может и просто conflicts без provides.
------- Comment #4 From 2006-01-24 03:34:31 -------
В сборке alt4 сделал просто Conflicts. Provides - это, наверное, слишком смело, 
они не взаимозаменяемы, у них разный набор возможностей и слишком разный формат 
конфигов.
------- Comment #5 From 2006-03-22 20:49:41 -------
Если ни у кого претнзий не осталось, то бага считается исправленной.